export default function reducer(state: string | undefined, action: Object): string;
export function isAggregationExplainOutput(explainOutput: Object): boolean;
export const SWITCHED_TO_TREE_VIEW: string;
export const SWITCHED_TO_JSON_VIEW: string;
export const EXPLAIN_STATE_CHANGED: string;
export const EXPLAIN_PLAN_FETCHED: string;
export const EXPLAIN_PLAN_ABORTED: string;
export namespace INITIAL_STATE {
    const explainState: string;
    const viewType: string;
    const abortController: null;
    const error: null;
    const oldExplain: null;
    const errorParsing: boolean;
    const executionSuccess: boolean;
    const executionTimeMillis: number;
    const inMemorySort: boolean;
    const isCollectionScan: boolean;
    const isCovered: boolean;
    const isMultiKey: boolean;
    const isSharded: boolean;
    const indexType: string;
    const index: null;
    const nReturned: number;
    const namespace: string;
    const numShards: number;
    const parsedQuery: {};
    const executionStats: {};
    const originalExplainData: {};
    const totalDocsExamined: number;
    const totalKeysExamined: number;
    const usedIndexes: never[];
    const resultId: number;
}
export function switchToTreeView(): Object;
export function switchToJSONView(): Object;
export function explainStateChanged(explainState: string, abortController?: null, oldExplain?: null): Object;
export function explainPlanFetched(explain: Object): Object;
export function fetchExplainPlan(query: Object): Function;
export function startExplainPlan(abortController: any, oldExplain: any): (dispatch: any) => any;
export function cancelExplainPlan(): (dispatch: any, getStore: any) => void;
//# sourceMappingURL=explain.d.ts.map